## com.meego.libsocialweb.StatusUpdate com.meego.libsocialweb.StatusUpdate — StatusUpdate interface |

## Methods

    UpdateStatus (in  's'     status_message,
                  in  'a{ss}' fields)

## Signals

    StatusUpdated ('b' success)

## Implemented Interfaces

Objects implementing com.meego.libsocialweb.StatusUpdate also implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Description

An interface for updating the user's status.

## Details

### `UpdateStatus()`

    UpdateStatus (in  's'     status_message,
                  in  'a{ss}' fields)

Update the user's status to `status_message`. The update will be performed asynchronously. The "StatusUpdated" signal will be fired when complete.

`fields` is a set of key-value pairs that are passed to the service. None of these are required and not all services support all of the keys. Defined keys include:

- latitude, longitude: The latitude and longitude for the tweet.

`status_message`: | The message to use for the user's status.
`fields`: | The (optional) extra fields to use when updating the status.

## Signal Details

### The StatusUpdated signal

    StatusUpdated ('b' success)

Emitted when the status has been updated on the remote service. The `success` signal indicates whether the update was successful.

`success`: | Boolean value indicating whether the status update has been successful.